from ccxt.base.types import Entry


class ImplicitAPI:
    public_get_ping = publicGetPing = Entry('ping', 'public', 'GET', {'cost': 1})
    
    private_get_connect = privateGetConnect = Entry('Connect', 'private', 'GET', {'cost': 1})
    private_get_checkconnect = privateGetCheckConnect = Entry('CheckConnect', 'private', 'GET', {'cost': 1})
    private_get_disconnect = privateGetDisconnect = Entry('Disconnect', 'private', 'GET', {'cost': 1})
    private_get_symbols = privateGetSymbols = Entry('Symbols', 'private', 'GET', {'cost': 1})
    private_get_symbolparamsmany = privateGetSymbolParamsMany = Entry('SymbolParamsMany', 'private', 'GET', {'cost': 1})
    private_get_getquote = privateGetGetQuote = Entry('GetQuote', 'private', 'GET', {'cost': 1})
    private_get_getquotemany = privateGetGetQuoteMany = Entry('GetQuoteMany', 'private', 'GET', {'cost': 1})
    private_get_servertimezone = privateGetServerTimezone = Entry('ServerTimezone', 'private', 'GET', {'cost': 1})
    private_get_accountsummary = privateGetAccountSummary = Entry('AccountSummary', 'private', 'GET', {'cost': 1})
    private_get_accountdetails = privateGetAccountDetails = Entry('AccountDetails', 'private', 'GET', {'cost': 1})
    private_get_symbolList = privateGetSymbolList = Entry('SymbolList', 'private', 'GET', {'cost': 1})
    private_get_marketwatchmany = privateGetMarketWatchMany = Entry('MarketWatchMany', 'private', 'GET', {'cost': 1})
    private_get_openedorders = privateGetOpenedOrders = Entry('OpenedOrders', 'private', 'GET', {'cost': 1})
    private_get_closedorders = privateGetClosedOrders = Entry('ClosedOrders', 'private', 'GET', {'cost': 1})
    private_get_openedorder = privateGetOpenedOrder = Entry('OpenedOrder', 'private', 'GET', {'cost': 1})
    private_get_orderhistory = privateGetOrderHistory = Entry('OrderHistory', 'private', 'GET', {'cost': 1})
    private_get_pricehistory = privateGetPriceHistory = Entry('PriceHistory', 'private', 'GET', {'cost': 1})
    private_get_ordersend = privateGetOrderSend = Entry('OrderSend', 'private', 'GET', {'cost': 1})
    private_get_ordermodify = privateGetOrderModify = Entry('OrderModify', 'private', 'GET', {'cost': 1})
    private_get_orderclose = privateGetOrderClose = Entry('OrderClose', 'private', 'GET', {'cost': 1})